darcs

Issue 2199 get --tag gets too many patches if tag is dirty

Title get --tag gets too many patches if tag is dirty
Priority bug Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List davidsarah, ganesh
Assigned To
Topics

Created on 2012-05-28.16:43:44 by ganesh, last changed 2012-12-21.14:07:03 by noreply.

Messages
msg15727 (view) Author: ganesh Date: 2012-05-28.16:43:43
If a tag is "dirty" in repo R - i.e. there are patches before it in R that 
the tag doesn't depend on - then darcs get --tag R gets those patches.
msg15927 (view) Author: ganesh Date: 2012-07-27.21:32:00
One report here: http://irclog.perlgeek.de/darcs/2012-05-28#i_5648166 and 
another here reporting that it's a regression between 2.4 and 2.5: 
http://irclog.perlgeek.de/darcs/2012-07-27#i_5852867
msg16460 (view) Author: noreply Date: 2012-12-21.14:07:02
The following patch sent by Ganesh Sittampalam <ganesh@earth.li> updated issue issue2199 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2199: getMatchingTag needs to commute for dirty tags 
Ignore-this: 3962510babfd980056b787a3bd42dda4
History
Date User Action Args
2012-05-28 16:43:44ganeshcreate
2012-07-27 21:32:00ganeshsetmessages: + msg15927
2012-07-27 22:17:40davidsarahsetnosy: + davidsarah
2012-12-18 13:38:32owstlinkissue2283 superseder
2012-12-21 14:07:03noreplysetstatus: needs-implementation -> resolved
messages: + msg16460
resolvedin: 2.10.0 HEAD